<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
        <input type="text" v-model="keyword" placeholder="Ketikan kata kunci..."> 
        <ul>
            <li v-for="book in filteredBooks">{{ book }}</li>
        </ul>
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
            keyword : '',
            tmpBooks : [],
            books   : [
                'Kalkulus Dasar',
                'Fisika Dasar',
                'Aljabar Linier Elementer',
                'Aljabar Abstract',
                'Algoritma Pemrograman'
        ],
      },

      computed : {
        filteredBooks : function () {
            var tmpBooks = this.books
            
            if(this.keyword != '' && this.keyword) {
               tmpBooks = tmpBooks.filter((book) => {
                   return book
                               .toUpperCase()
                               .includes(this.keyword.toUpperCase())
               })
           }
           return tmpBooks
        }
      }
       
  })
  </script>
</body>
</html>
